ONVIF::PTZ::Elements::GetPresetsResponse(3pm)

NAME
ONVIF::PTZ::Elements::GetPresetsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetPresetsResponse from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Preset

     $element->set_Preset($data);
     $element->get_Preset();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::GetPresetsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Preset =>  { # ONVIF::PTZ::Types::PTZPreset
     Name => $some_value, # Name
     PTZPosition =>  { # ONVIF::PTZ::Types::PTZVector
       PanTilt => ,
       Zoom => ,
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL